## org.hibernate.jdbc
Class BatchFailedException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.hibernate.HibernateException
                      org.hibernate.jdbc.BatchFailedException

All Implemented Interfaces:
  Serializable

    public class BatchFailedException

extends HibernateException

Indicates a failed batch entry (-3 return).

Author:
  Steve Ebersole
See Also:
  Serialized Form

Constructor Summary
`BatchFailedException(String s)`
`BatchFailedException(String string, Throwable root)`

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### BatchFailedException

    public BatchFailedException(String s)

### BatchFailedException

    public BatchFailedException(String string,
                                Throwable root)

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.